%define upstream_name    App-Stacktrace
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 24

Summary:    Stack trace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: gdb

%description
perl-stacktrace prints Perl stack traces of Perl threads for a given Perl
process. For each Perl frame, the full file name and line number are
printed.

For example, a stack dump of a running perl program:

    $ ps x | grep cpan
    24077 pts/12   T      0:01 /usr/local/bin/perl /usr/local/bin/cpan
    24093 pts/12   S+     0:00 grep cpan

    $ perl-stacktrace 24077
    0x00d73416 in __kernel_vsyscall ()
    /usr/local/bin/cpan:11
    /usr/local/lib/perl5/5.12.2/App/Cpan.pm:364
    /usr/local/lib/perl5/5.12.2/App/Cpan.pm:295
    /usr/local/lib/perl5/5.12.2/CPAN.pm:339
    /usr/local/lib/perl5/5.12.2/Term/ReadLine.pm:198

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# (tv) broken testsuite:
exit 0
%make_build test

%install
%make_install

%files
%doc README LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorarch/*
/usr/bin/perl-stacktrace
%{_mandir}/man1/perl-stacktrace.1*



%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.90.0-24.mga10
+ Revision: 2087979
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 0.90.0-23.mga10
+ Revision: 2011272
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 0.90.0-22.mga9
+ Revision: 1861536
- Rebuild for Perl 5.36

* Sat Mar 26 2022 umeabot <umeabot> 0.90.0-21.mga9
+ Revision: 1827760
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.90.0-20.mga9
+ Revision: 1726388
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.90.0-19.mga8
+ Revision: 1594244
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.90.0-18.mga8
+ Revision: 1529414
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.90.0-17.mga8
+ Revision: 1433330
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.90.0-16.mga7
+ Revision: 1291217
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.90.0-15.mga7
+ Revision: 1248985
- Fix file list
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.90.0-14.mga7
+ Revision: 1163123
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.90.0-13.mga7
+ Revision: 1148641
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.90.0-12.mga7
+ Revision: 1126645
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.90.0-11.mga6
+ Revision: 1022557
- Rebuild for perl 5.22.2
+ tv <tv>
- use std build macros

* Fri Feb 12 2016 umeabot <umeabot> 0.90.0-9.mga6
+ Revision: 956679
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.90.0-8.mga6
+ Revision: 844142
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.90.0-7.mga5
+ Revision: 789985
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-6.mga5
+ Revision: 748377
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 0.90.0-5.mga5
+ Revision: 730892
- disable broken testsuite
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.90.0-3.mga5
+ Revision: 630794
- Rebuild for perl 5.20

* Tue Oct 22 2013 umeabot <umeabot> 0.90.0-2.mga4
+ Revision: 541371
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 tv <tv> 0.90.0-1.mga4
+ Revision: 495788
- BR gdb
- enhanced description
- imported package perl-App-Stacktrace


* Sat Oct 12 2013 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
